Page MenuHomePhabricator

efl/gesture: fix zoom to ignore single press events and not crash
ClosedPublic

Authored by zmike on Jan 13 2020, 12:13 PM.

Details

Summary

zoom requires two fingers for a pinch, so skip the first press

Depends on D11087

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 13 2020, 12:13 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

CHAN accepted this revision.Jan 16 2020, 9:52 PM
CHAN added a subscriber: CHAN.

looks good to me

This revision is now accepted and ready to land.Jan 16 2020, 9:52 PM
zmike updated this revision to Diff 28267.Jan 17 2020, 7:42 AM
zmike edited the summary of this revision. (Show Details)

update

zmike updated this revision to Diff 28344.Jan 21 2020, 11:56 AM
zmike added a reviewer: bu5hm4n.

rebase/update

zmike updated this revision to Diff 28389.Jan 22 2020, 6:36 AM

remove off-canvas blocking

zmike updated this revision to Diff 28440.Jan 23 2020, 12:24 PM

rework/rebase

zmike updated this revision to Diff 28661.Jan 29 2020, 11:20 AM

rebase/rework

Closed by commit rEFLce3d569cfd0d: efl/gesture: fix zoom to ignore single press events and not crash (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:12 AM
This revision was automatically updated to reflect the committed changes.